Not the answer you need?
Register and ask your own question!

Do I need the percona server and any patches for xtrabackup 2.4.20 to work correctly?

cesarsjcesarsj ContributorCurrent User Role Contributor

I want to install the latest and most compatible version of percona xtrabackup on Slackware, and Slackbuild has only 2.1.5:

https://slackbuilds.org/repository/14.2/system/percona-xtrabackup/

I once installed version 2.3.9, and since then the daily online backup and restoration work correctly.

However, I saw that version 2.3.9 is EOL, so I want to update to version 2.4.20.

I'm trying to build Slackbuild based on the 2.1.5 file, but then a curiosity arose: I need the percona server and this xtradb55.patch patch (maybe a more updated patch?).

I want xtrabackup only for online backup and restoration. As a database server we use MariaDB 10.0.28.

Answers

  • Evgeniy PatlanEvgeniy Patlan Percona Percona Staff Role

    Hi @cesarsj

    For now there are not available packages for Slackware.

    You can find the sources of 2.4.20 here: https://github.com/percona/percona-xtrabackup/tree/percona-xtrabackup-2.4.20

  • cesarsjcesarsj Contributor Current User Role Contributor

    Whatever the Linux system, the question still remains: do I need the percona server and any patches for xtrabackup-2.4.20 to work correctly for online backup and recovery purposes?

  • George LorchGeorge Lorch Percona Percona Moderator Role Patron

    No, if you have the full compliment of Percona XtraBackup binaries on a compatible Linux system, it should work. It requires file system level access to the database being backed up and mysql client libraries to connect to the server, but it does not depend on any part of Percona Server.

Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.